public class MachineTest {
	public static void main(String[] args) {
		MachineComposite comp1 = new MachineComposite();
		comp1.add(new Machine());
		comp1.add(new Machine());
		comp1.add(new Machine());
		
		MachineComposite comp2 = new MachineComposite();
		comp2.add(new Machine());
		comp2.add(new Machine());
		
		MachineComposite comp3 = new MachineComposite();
		comp3.add(new Machine());
		comp3.add(comp2);
		
		MachineComposite comp4 = new MachineComposite();
		comp4.add(comp3);
		comp4.add(comp1);
		comp4.add(new Machine());
		comp4.add(new Machine());
		
		System.out.println(comp4.getMachineCount());
	}
}
